# This is an example .goreleaser.yml file with some sane defaults.
# Make sure to check the documentation at http://goreleaser.com
before:
  hooks:
    # You may remove this if you don't use go modules.
    - go mod tidy
    # you may remove this if you don't need go generate
    - go generate ./...
builds:
  - env:
      - CGO_ENABLED=0
    goos:
      - linux
      #- windows
      - darwin
    goarch:
      - amd64
      - arm64
    ldflags:
      - -X main.version={{ .Version }}
checksum:
  name_template: 'checksums.txt'
changelog:
  sort: asc
  filters:
    exclude:
      - '^docs:'
      - '^test:'
      - '^dev:'
      -
gitea_urls:
  api: https://git.keks.cloud/api/v1/
  download: https://git.keks.cloud
  # set to true if you use a self-signed certificate
  skip_tls_verify: false
